"""
    ZStyleSheet Init
    =========== ====
"""
# $Id: __init__.py,v 1.2 2001/10/21 14:48:33 adrian Exp $
#
# $Log: __init__.py,v $
# Revision 1.2  2001/10/21 14:48:33  adrian
# no message
#
#
__version__ = '$Revision: 1.2 $'[11:-2]

from ImageFile import ImageFile

import BrowserType
import ZStyleSheet
import ZSSRule
import ZSSConstant
import ZSSAttribute

meta_types=(
    {'name': 'Z Style Sheet', 'action': 'manage_addZStyleSheetForm'},
)

methods={
    'manage_BrowserList'        : BrowserType.BrowserType.BrowserList,
    'manage_addZStyleSheetForm' : ZStyleSheet.manage_addZStyleSheetForm,
    'manage_addZStyleSheet'     : ZStyleSheet.manage_addZStyleSheet,
}

# Permission to be added to folders:
__ac_permissions__=(
    ('Add Z Style Sheet',
    ('manage_addZStyleSheetForm', 'manage_addZStyleSheet')),
)

misc_=  {
    'ZStyleSheet'   : ImageFile('www/ZStyleSheetIcon.gif', globals()),
    'ZSSRule'       : ImageFile('www/ZSSRuleIcon.gif', globals()),
    'ZSSConst'      : ImageFile('www/ZSSConstIcon.gif', globals()),
    'ZSSAttr'       : ImageFile('www/ZSSAttrIcon.gif', globals()),
}

def initialize(context):
    context.registerHelp()
